#ifndef VISMONITORING_DQMSERVER_OBJECTS_H
# define VISMONITORING_DQMSERVER_OBJECTS_H

# include "DQMServices/Core/interface/DQMNet.h"

struct VisDQMRenderInfo
{
  std::string		drawOptions;
  bool			blacklisted;
};

struct VisDQMAxisInfo
{
  std::string		type;
  double		min;
  double		max;
};

struct VisDQMImgInfo
{
  uint64_t		version;
  std::string		imgspec;
  DQMNet::DataBlob	imgdata;
  std::string		drawOptions;
  bool			reference;
  int			width;
  int			height;
  VisDQMAxisInfo	xaxis;
  VisDQMAxisInfo	yaxis;
  VisDQMAxisInfo	zaxis;
};

#endif // VISMONITORING_DQMSERVER_OBJECTS_H
